#
# spec file for package ksgmltool (Version 1.0.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  sp sp-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ksgmltool
%define name sgml-tools
Copyright:    GPL
Group:        Utilities/Text
Provides:     sgml-tools
Requires:     sp perl
Conflicts:    linuxdoc
Autoreqprov:  on
Summary:      SGML-Tools - a text-formatting package for Korean.
Version:      1.0.9
Release:      113
Source:       ftp://jazz.snu.ac.kr/pub/unix/sgml-tools-ko/%{name}-1.0.9k-20000706.tar.gz
Source1:      lnd-1.0.tar.bz2
Patch:        sgml-tools-1.0.9.dif

%description
SGML-Tools is a text-formatting package based on SGML (Standard Generalized
Markup Language), which allows you to produce LaTeX, HTML, GNU info, LyX, RTF,
and plain ASCII (via groff) from a single source.
This system is tailored for writing technical software documentation, an
example of which are the Linux HOWTO documents. It should be useful for all
kinds of printed and online documentation.
This package is considered as the successor of the Linuxdoc package.
SGML-Tools is not able to process arbitrary SGML documents; in such a
case, give jade_dsl a try and write your own DSSSL scripts (take the
docbk30 package as an example).

Authors:
--------
    Cees A. de Groot <cg@pobox.com>
    Arun Sharma <asharma@sco.com>
    Andre Schoorl <aschoorl@engr.UVic.CA>
    Daniele Giacomini <daniele@tv.shineline.it>
    Dave Love <d.love@dl.ac.uk>
    Dave Platt <dplatt@iq.TVSoft.com>
    Eric S. Raymond <esr@thyrsus.com>
    Francisco J. Montilla <pacopepe@nova.es>
    Fabrizio Polacco <fpolacco@megabaud.fi>
    Frank Pavageau <pavageau@imaginet.fr>
    Jan Echternach <echter@informatik.uni-rostock.de>
    Henry S. Thompson <ht@cogsci.ed.ac.uk>
    Karsten Tinnefeld <tinnefeld@irb.informatik.uni-dortmund.de>
    Kees de Bruin <kees_de_bruin@tasking.nl>
    Ken MacLeod <kmacleod@midamerican.com>
    Lee Marzke <marzke_lee@si.com>
    Marco Budde <Marco_Budde@hqsys.fido.de>
    Mitchell Perilstein <mnp@compass-da.com>
    Sven Rudolph <sr1@os.inf.tu-dresden.de>
    Tommy Marcus McGuire <mcguire@cs.utexas.edu>
    Ulrich Windl <ulrich.windl@rz.uni-regensburg.de>
    CHOI Junho <junker@jazz.snu.ac.kr>

SuSE series: han

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define GZIP gzip --best --force
%prep
%setup -n sgml-tools-1.0.9k-20000706
%setup -D -T -n sgml-tools-1.0.9k-20000706 -a1
%patch

%build
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --with-installed-nsgmls
make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s
cp -p doc/README doc/README.doc

%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install prefix=$RPM_BUILD_ROOT/usr \
             mandir=$RPM_BUILD_ROOT/%{_mandir}
rm -fr $RPM_BUILD_ROOT/usr/doc/sgml-tools
mv $RPM_BUILD_ROOT/usr/lib/perl5/Text/EntityMap.pm $RPM_BUILD_ROOT/usr/lib/perl5/5.*/Text/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc lnd-1.0
%doc COPYING BUGS CHANGES CONTRIBUTORS README TODO
%doc doc/README.doc doc/example.sgml doc/guide.sgml doc/guide.txt
%doc doc/html doc/rtf sample-ko
%doc BUGS-ko CHANGES-ko README.ko TODO-ko
/usr/bin/sgmlsasp
/usr/bin/rtf2rtf
/usr/bin/sgmltools.v1
/usr/bin/sgml2html
/usr/bin/sgml2info
/usr/bin/sgml2latex
/usr/bin/sgml2lyx
/usr/bin/sgml2rtf
/usr/bin/sgml2txt
/usr/bin/sgmlcheck
/usr/bin/sgmlpre
/usr/lib/entity-map/0.1.0
/usr/lib/perl5/5.*/Text/EntityMap.pm
%dir /usr/lib/sgml
/usr/lib/sgml-tools
/usr/lib/sgml/iso-entities-8879.1986
%{_mandir}/man1/sgml2html.1.gz
%{_mandir}/man1/sgml2info.1.gz
%{_mandir}/man1/sgml2latex.1.gz
%{_mandir}/man1/sgml2lyx.1.gz
%{_mandir}/man1/sgml2rtf.1.gz
%{_mandir}/man1/sgml2txt.1.gz
%{_mandir}/man1/sgmlsasp.1.gz
%{_mandir}/man1/sgmlcheck.1.gz
%{_mandir}/man1/sgmltools.1.gz

%changelog -n ksgmltool
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Wed Jan 31 2001 - violiet@suse.de
- NEW package ksgmltool version to 1.0.9
